# OpenLayers.Format.GML.Base

Superclass for GML parsers.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.GML.Base | Superclass for GML parsers.
Properties |
featureType | {Array(String) or String} The local (without prefix) feature typeName(s).
featureNS | {String} The feature namespace.
geometry | {String} Name of geometry element.
extractAttributes | {Boolean} Extract attributes from GML.
srsName | {String} URI for spatial reference system.
xy | {Boolean} Order of the GML coordinate true:(x,y) or false:(y,x) Changing is not recommended, a new Format should be instantiated.
Constructor |
OpenLayers.Format.GML.Base | Instances of this class are not created directly.

### Properties

### featureType

{Array(String) or String} The local (without prefix) feature typeName(s).

### featureNS

{String} The feature namespace. Must be set in the options at construction.

### geometry

{String} Name of geometry element. Defaults to “geometry”. If null, it will be set on read when the first geometry is parsed.

### extractAttributes

{Boolean} Extract attributes from GML. Default is true.

### srsName

{String} URI for spatial reference system. This is optional for single part geometries and mandatory for collections and multis. If set, the srsName attribute will be written for all geometries. Default is null.

### xy

{Boolean} Order of the GML coordinate true:(x,y) or false:(y,x) Changing is not recommended, a new Format should be instantiated.

### Constructor

### OpenLayers.Format.GML.Base

Instances of this class are not created directly. Use the OpenLayers.Format.GML.v2 or OpenLayers.Format.GML.v3 constructor instead.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

#### Valid options properties

featureType | {Array(String) or String} Local (without prefix) feature typeName(s) (required for write).
featureNS | {String} Feature namespace (required for write).
geometryName | {String} Geometry element name (required for write).

Read and write XML.

> read: function( | data | )

Read data from a string, and return a list of features.
Parses GML version 2.
Parses GML version 3.
Close